ngrok(8)

NAME
nrgok - secure introspectable tunnels to localhost

SYNOPSIS
nrgok [options] port

DESCRIPTION
nrgok creates a tunnel from the public internet to a port on your local machine. You can give this URL to anyone to allow them to try out a web site you're developing without doing any deployment.

It captures all traffic through the tunnel. It displays information about the HTTP traffic for your inspection. Raw request/response bytes, parsed headers and form data, JSON/XML syntax checking and more are included. It can also replay requests.

By default, nrgok will establish tunnel with ngrok.com servers. They are free to use for basic functionalities. You can also setup your own server by using ngrokd.

port is either the local port to be forwarded or an IP address.

To get available options, use ngrok -h.

SEE ALSO
ngrokd(8)

AUTHORS
-nosplit The nrgok program was written by Alan Shreve.